
#include "geninc.h"          /* DBPUT() */
#include "ioserv.h"          /* error_found(), report_msg() */

#if PROTOTYPE_ALLOWED
int dbput_cnf(int type, char *data, unsigned int *n, char *msg)
#else
int dbput_cnf(type, data, n, msg)
int type;
char *data, *msg;
unsigned int *n;
#endif
{
   unsigned int save_n;
   int ierr;
   char buff[255];

   save_n = *n;
   DBPUT(&type, data, n, &ierr);
   error_found(ierr, msg);
   if (save_n != *n)
   {
      sprintf(buff, "\n%%%% WARNING: Stored %u bytes instead of %u in %s\n\n", *n, save_n,
         msg);
      report_msg(buff);
   }
   return(ierr);
}
